/*///+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
           
      Y[i]= [i]/([i]-[i+1]);
/*///+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
//+------------------------------------------------------------------+
//|                                                   INPUTS_NN_.mq4 |
//|                                                            Urain |
//+------------------------------------------------------------------+
#property copyright "Urain"
#property link      ""

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
//---- input parameters
/*///+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
met
MODE_SMA 0    
MODE_EMA 1    
MODE_SMMA 2    
MODE_LWMA 3 -   

pri
PRICE_CLOSE 0   
PRICE_OPEN 1   
PRICE_HIGH 2   
PRICE_LOW 3   
PRICE_MEDIAN 4  , (high+low)/2 
PRICE_TYPICAL 5  , (high+low+close)/3 
PRICE_WEIGHTED 6   , (high+low+close+close)/4 
/*///+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
extern int       met=0;//   
extern int       pri=0;//   

extern int       C=5000;//  
extern int       per=25;//  

extern double      e=0.75;//   
extern double    sdv=0.000001;//       
                              //     .
//---- buffers
double e0[];
//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+

int init()
{//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,e0);
return(0);
}//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+

int deinit()
{//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+
return(0);
}//+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~+

int start()
{//+==================================================================+
 int c=C-per;double t0=0.0,t1=0.0,t2=0.0,temp=0.0;
 for(int i=c;i>=0;i--)
    {t0=iMA(NULL,0,per,0,met,pri,i);
     t1=iMA(NULL,0,per,0,met,pri,i+1);
     temp=t0-t1;
     temp=ox( temp);
     e0[i]= exp( t0*temp, e)*sdv;
    }
return(0);
}//+==================================================================+

/*///01~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
   ,      
/*///01~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
double ox( double x)
{//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 double y=0;
 if(x!=0.0) y=1.0/x; 
 else y= 1.0/MathPow(10.0,300);
return(y);
}//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/*///02~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
           
/*///02~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
double exp( double x,double e) 
{//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 double mx=0.0,r=0.0;int z=1;
 mx=MathAbs( x);
 if(x<0.0)z=-1;else z=1;
 r=z*MathPow( mx, e);
return(r);
}//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


